class 'CreditsScreenBase' (BaseScreen)

function CreditsScreenBase:__init(name)
	BaseScreen.__init(self, name)
	
	self:setupButtons()
end

function CreditsScreenBase:setupButtons()
	self:getEntityNamed('bttn_ok').onPress:add(bind(self.onOkButtonClick, self))
	self:getEntityNamed('bttn_ok'):setSFXTrackOnPress( getCommonSoundEntity('ButtonClick') )
	
	self:addHotKey(ERSK_ENTER, bind(self.onOkButtonClick, self))
	self:addHotKey(ERSK_ESCAPE, bind(self.onOkButtonClick, self))
end

function CreditsScreenBase:__finalize()
end

function CreditsScreenBase:onUpdate(dt)
end

function CreditsScreenBase:onOkButtonClick()
	self:onScreenDestroy()

	createMoreInfoScreen()
end
 
function CreditsScreenBase:onScreenDestroy()
	 PopUpScreensMgr:pop()
end